List Client References with Appraisals
Get all client references with their appraisals. When all_users=false (the default behavior), client references for the current user only are returned. When you set all_users=true, client references for all users within the client_id are returned.
Authorization
apiKey Note! Prefix your API key with apiKey and a space, for example apiKey YOUR_API_KEY.
In: header
Query Parameters
The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.
Optional session identifier of the user.
When false (the default behavior), returns only client references for the current user. If set as true, returns client references for all users within client_id.
Time range with unit suffix (e.g., '1h', '2d', '1w'). Default is '1w'.
Number of appraisals per page. If no page limit is defined, the default is 100. The maximum allowable limit is 10,000, and any higher value will be capped at this maximum.
1 <= value <= 10000Page number for pagination. Default is 1.
1 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/client_references/appraisals"{ "client_id": 11, "client_name": "Demo UK", "client_references": [ { "client_reference_id": 9337, "client_reference": "Reference 321", "client_reference_owner": "user@example.com", "client_reference_create_time": "2023-07-24 11:10:05", "client_reference_appraisals_update_time": "2023-07-25 11:10:05", "appraisals": [ { "appraisal_id": 97771, "client_reference_id": 9337, "cpid": 123456, "rpid": 234567, "create_time": "2023-07-25 13:54:37", "update_time": "2023-07-25 13:54:37", "cp_name_cart": "Apple iPhone 14 Pro Max 1TB", "rp_name_cart": "Apple iPhone 14 Pro Max 1024GB (2022)", "cp_pic_url": "https://img.valuechecker.net/,---.jpg", "rp_pic_url": "https://img.valuechecker.net/,---.jpg", "item_quantity": 1, "replacement_cost_value": 1684.99, "rp_price_date": "2023-07-25 11:07:41", "homepage_client_category_id": 2740, "selected_client_category_id": 2740, "shop_id": 123, "shop_name": "Amazon UK", "offer_id": 9876, "shop_url": "https://offer.valuechecker.net/kihxRTjWvGNjq4Dj7CKanf", "valuation_snapshot": "https://web.valuechecker.ai/valuation/36e090ae516dfc47", "claimed_amount": 600, "actual_cash_value": 500, "is_compensation_based_on_claimed_amount": true, "depr_extra_one_year_no_receipt": false, "comment": "Example comment", "date_damage": "2023-07-20", "appraisal_condition": "Average", "appraisal_status": "Open", "appraisal_deductible": 100, "attachments": [ { "file_name": "damage_photo.jpg", "url": "https://example.com/damage_photo.jpg", "type": "image", "update_time": "2023-07-25T11:51:08Z" } ] } ] } ], "metadata": { "fetch_time": "2023-07-25 13:54:37", "x_request_id": "93bb1e26-0d81-4d82-8ada-f40b10eabb50", "appraisals": { "current_page": 1, "total_pages": 1, "total_results": 1 } }}